Bug 305157 - "Kill Warning" window does not automatically close when application exits
Summary: "Kill Warning" window does not automatically close when application exits
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: core (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: 4.9.1
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-14 18:54 UTC by Christoph Feck
Modified: 2012-08-29 17:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2012-08-14 18:54:52 UTC
To reproduce:
- start an application which does not react to input for a long time
- click "Close Window" title bar button, after a time, the "Kill Window" appears
- when the application now reacts to input, it will close

Actual result:
- the "Kill Window" is still displayed

Expected result (I believe it worked in older KWin versions):
- the "Kill Window" is automatically cancelled
Comment 1 Thomas Lübking 2012-08-14 19:31:44 UTC
https://git.reviewboard.kde.org/r/106022/
Comment 2 Thomas Lübking 2012-08-28 19:49:47 UTC
Git commit 4350416902401d02e626f244426311872af77918 by Thomas Lübking.
Committed on 14/08/2012 at 21:22.
Pushed by luebking into branch 'KDE/4.9'.

kill killhelper in  client destructor
FIXED-IN: 4.9.1
REVIEW: 106022

M  +4    -0    kwin/client.cpp

http://commits.kde.org/kde-workspace/4350416902401d02e626f244426311872af77918
Comment 3 Thomas Lübking 2012-08-28 19:51:38 UTC
Git commit 97c1b095f2dd938c98f5f3729dead6dfbcbc6182 by Thomas Lübking.
Committed on 14/08/2012 at 21:22.
Pushed by luebking into branch 'master'.

kill killhelper in  client destructor
FIXED-IN: 4.9.1
REVIEW: 106022

M  +4    -0    kwin/client.cpp

http://commits.kde.org/kde-workspace/97c1b095f2dd938c98f5f3729dead6dfbcbc6182